Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.term
Class ChangeableTerm

    java.lang.Object
      gnu.prolog.term.Term
          gnu.prolog.term.VariableTerm
              gnu.prolog.term.ChangeableTerm

All Implemented Interfaces:
  Serializable, Cloneable

Direct Known Subclasses:
  DoubleQuotesTerm

    public abstract class ChangeableTerm

extends VariableTerm

Terms for which the value varies depending on prolog flags extend this class. They pick which to use for value on creation and at `dereference()`.

Author:
  Daniel Thomas
See Also:
  Serialized Form

Field Summary
`protected Environment` | `environment` The Environment we will use to get the flags from.

Fields inherited from class gnu.prolog.term.VariableTerm
`name, value`

Fields inherited from class gnu.prolog.term.Term
`ATOM, COMPOUND, FLOAT, INTEGER, JAVA_OBJECT, UNKNOWN, VARIABLE`

Constructor Summary
`protected` | `ChangeableTerm(Environment env)`

Method Summary
`abstract Term` | `dereference()` The value may also be altered by this method in child classes.
`protected Term` | `getPrologFlag(AtomTerm term)`

Methods inherited from class gnu.prolog.term.VariableTerm
`clone, getTermType`

Methods inherited from class gnu.prolog.term.Term
`clone, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### environment

    protected Environment environment

  The Environment we will use to get the flags from.

Constructor Detail

### ChangeableTerm

    protected ChangeableTerm(Environment env)

Method Detail

### getPrologFlag

    protected Term getPrologFlag(AtomTerm term)

### dereference

    public abstract Term dereference()

  The value may also be altered by this method in child classes.

  Overrides:
    `dereference` in class `VariableTerm`
  Returns:
    dereferenced term

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD